page-product {
  ion-content{
    .detail-product{
      .header{
        padding: 5vh 15px 10vh 15px;
        background-color: $color-cb2033;
        p{
          letter-spacing: 1px;
          margin: 0px;
          line-height: 1.5;
          color: #ffffff;
          &.des{
            font-size: 1rem;
          }
          &.name{
            font-family: HelveticaNeue_Bold;
            font-size: 2.5rem;
          }
        }
        .rate-price{
          padding: 0px;
          padding-top: 10px;
        }
      }
      .sliders{
        position: relative;
        height:calc(40vh - 55px);
      }
      ion-slides{
        display: block;
        position: absolute;
        top:-60px;
        height: 40vh;
        padding: 15px;
        ion-slide{
          border-radius: 10px !important;
          background-color: $color-f7f7f7;
          position: relative;
          .image{
            position: absolute;
            top:10px;
            bottom:10px;
            right:10px;
            left: 10px;
            margin: 10px;
            @extend .bg-contain;
          }
        }
        .swiper-pagination {
          display: block !important;
          button {
            background: transparent !important;
            border: 1px solid black !important;
            &.swiper-pagination-bullet-active {
              background-color: #ffffff !important;
            }
          }
        }
      }
      .rate-price{
        padding: 0px 15px;
        letter-spacing: 1px;
        display: flex;
        &.default{
          p{
            &.rate{
              color:$color-03002c;
            }
            &.price{
              color:$color-d00909;
            }
          }
        }
        &.white{
          p{
            &.rate{
              color:#ffffff;
            }
            &.price{
              color:#ffffff;
            }
          }
        }
        .left{
          flex: 1;
        }
        .right{
          flex: 1;
          p{
            text-align: right;
          }
        }
        p{
          margin: 5px 0px 0px 0px;
          &.rate{
            font-size: 1.1rem;
            opacity: 0.6;
          }
          &.price{
            font-family: HelveticaNeue_Bold;
            font-size: 2.3rem;
          }
        }
      }
      .share-buttons{
        padding: 15px;
        span{
          display: inline-block !important;
          font-family: HelveticaNeue_Bold;
          font-size: 1.4rem;
          color:$color-03002c;
          padding: 5px 0px;
          vertical-align: top;
        }
        button{
          display: inline-block !important;
          color:$color-03002c;
          height: auto !important;
          padding: 5px 7px !important;
          line-height: 0px !important;
          vertical-align: top;
          i{
            font-size: 2rem;
            line-height: 0px !important;
          }
        }
      }
      .content{
        padding: 0px 15px;
        p{
          margin: 0px;
          &.title{
            font-family: HelveticaNeue_Bold;
            font-size: 1.4rem;
            color:$color-03002c;
          }
          &.text{
            text-align: justify;
            letter-spacing: 1px;
            line-height: 1.5;
            color:$color-03002c;
            opacity: 0.6;
          }
        }

      }
    }
    .comment-body{
      padding: 15px;
      .input-comment{
        .title{
          p{
            color:$color-03002c;
            margin: 0px;
            letter-spacing: 1px;
            &.name{
              font-size: 1.4rem;
              font-family: HelveticaNeue_Bold;
              margin-bottom: 2px;
            }
            &.rate{
              font-size: 1.1rem;
              opacity: 0.6;
            }
          }
        }
        .rating{
          padding-top: 15px;
          text-align: center;
        }
        ion-item{
          &.input-text{
            padding-left:0px !important;
            padding-top: 10px !important;
            .item-inner{
              padding-right: 0px !important;
              border: 1px solid #f0f0f0 !important;
              background-color: #f0f0f0;
              border-radius: 10px;
              -webkit-box-shadow: inset 1px 1px 13px -1px rgba(0,0,0,0.53);
              -moz-box-shadow: inset 1px 1px 13px -1px rgba(0,0,0,0.53);
              box-shadow: inset 1px 1px 13px -1px rgba(0,0,0,0.53);
            }
            textarea{
              margin: 11px 11px 11px 11px !important;
              width: calc(100% - 11px - 11px) !important;
              font-size: 1.4rem !important;
              letter-spacing: 1px !important;
            }
          }
        }
        button{
          display: block;
          width: 50%;
          margin: 15px auto !important;
          font-size: 1.4rem;
        }
      }
      .list-comment{
        border-top: 1px solid rgba(0, 0, 0, 0.2);
        .title-list{
          padding-top: 10px;
          color:$color-31a5ff;
          span{
            color:$color-666666;
          }
        }
        .comments{
          margin-top: 15px;
          .item-comment{
            margin-bottom: 15px;
            .header-item{
              position: relative;
              .avatar{
                position: absolute;
                top:0px;
                left: 0px;
                img{
                  width: 35px;
                  height: 35px;
                  border-radius: 50%;
                }
              }
              .right-item{
                display: block;
                margin-left: 55px;
                .text{
                  display: inline-block;
                  width: calc(100% - 45px - 44px);
                  p{
                    color:$color-03002c;
                    letter-spacing: 1px;
                    margin: 0px !important;
                    display: block;
                    width: 100%;
                    @extend .format-text;
                    &.name{
                      font-family: HelveticaNeue_Bold;
                      font-size: 1.4rem;
                      span{
                        font-family: HelveticaNeue;
                        font-size: 1rem;
                        opacity: 0.3;
                      }
                    }
                    &.type{
                      font-family: HelveticaNeue_Bold;
                      font-size: 1.3rem;
                      color:$color-fdc92c;
                      opacity: 1;
                      span{
                        font-family: HelveticaNeue;
                        color:$color-03002c;
                        font-size: 1.2rem;
                        opacity: 0.3;
                      }
                    }
                  }
                }
                .rating{
                  display: inline-block;
                }
              }
            }
            .content-comment{
              display: block;
              margin-left: 55px;
              p{
                margin: 0px;
                line-height: 1.5;
                font-size: 1.3rem;
                color: $color-03002c;
                opacity: 0.6;
                text-align: justify;
              }
              .buttons-con{
                button{
                  padding: 5px 5px 5px 0px !important;
                  font-size: 1.3rem !important;
                  color:$color-fdc92c !important;
                  height: auto !important;
                }
              }
            }
          }
        }
      }
    }
  }
}
